class Constants {
  Constants._();

  static const String env = envProd;

  static const String envDev = 'dev';

  static const String envTest = 'test';

  static const String envProd = 'prod';

  static const String _devBaseUrl = "http://192.168.10.230:8880";

  static const String _testBaseUrl = "http://42.193.245.11";

  static const String _prodBaseUrl = "https://project-api.atmob.com";

  static String baseUrl = getBaseUrl();

  static String privacyPolicy =
      "https://cdn.v8dashen.com/static/xt-xm-privacy.html";

  static String userAgreement =
      "https://cdn.v8dashen.com/static/xt-xm-clause.html";
}

String getBaseUrl() {
  switch (Constants.env) {
    case Constants.envDev:
      return Constants._devBaseUrl;
    case Constants.envTest:
      return Constants._testBaseUrl;
    case Constants.envProd:
      return Constants._prodBaseUrl;
    default:
      return Constants._devBaseUrl;
  }
}
